#include "vision.h"
#include <bits/stdc++.h>
using namespace std;

std::vector<int> getVisionPattern1d()
{
    return {1,1,2,2,1,2};
}

int getMove1d(std::vector<int> v)
{
    int n = v.size();
    if(n==3)
    {
        if(v[2]==2)
            return 2;
        return 0;
    }
    else
    {
        if(v[1]==2)
        {
            if(v[0]+v[4]==2)
                return 0;
            if(v[0]==2)
                return 0;
            return 4;
        }
        else if(v[3]==2)
        {
            if(v[0]+v[4]==2)
                return 4;
            if(v[0]==2)
                return 0;
            return 4;
        }
        else
        {
            if(v[4]==1)
            return 4;
            return 0;
        }
    }
}

std::vector<std::vector<int>> getVisionPattern2d()
{
    return {{1}};
}

std::pair<int, int> getMove2d(std::vector<std::vector<int>> v)
{
    return {0, 0};
}
